package nc.impl.twxt.process;

import nc.bs.uap.twxt.process.WriteGatherBillInfoProcess;
import nc.bs.uap.twxt.process.WritePayApplyInfoProcess;
import nc.bs.uap.twxt.process.WriteRecBillInfoProcess;
import nc.itf.twxt.process.IWuYeTwxtBusiService;
import nc.vo.pub.BusinessException;
import uap.json.JSONObject;	
/**
 * @Description:针对外部接口逻辑处理 
 * 
 * @author 周蓝萍 【碧桂园-物业板块-天文系统接口】	
 * @date 2019-04-12
 * @version with NC V6.3
 */
public class WuYeTwxtBusiImpl implements IWuYeTwxtBusiService{

	@Override
	public String writeRecbillInfo(JSONObject jsonobj) throws BusinessException {
		WriteRecBillInfoProcess process = new WriteRecBillInfoProcess();
		return process.writeRecBillInfo(jsonobj);
	}

	@Override
	public String writeGatherBillInfo(JSONObject jsonobj) throws BusinessException {
		WriteGatherBillInfoProcess process = new WriteGatherBillInfoProcess();
		return process.writeGatherBillInfo(jsonobj);
	}

	@Override
	public String writePayApplyInfo(JSONObject jsonobj) throws BusinessException {
		WritePayApplyInfoProcess process = new WritePayApplyInfoProcess();
		return process.writePayApplyInfo(jsonobj);
	}
}
